SELECT *
FROM receiveFileset
JOIN receiveSource USING(source_id)
LEFT JOIN receiveFile USING(fileset_id)
WHERE receiveFileset.state = 'reg'
    AND receiveFileset.fault = 0
    AND receiveFile.fileset_id IS NULL
